﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;
using Microsoft.WindowsAzure;
using Microsoft.WindowsAzure.StorageClient;

namespace AnnoySmarx_Web.Controllers
{
    [HandleError]
    public class HomeController : Controller
    {
        public ActionResult Index()
        {
            return View(
                CloudStorageAccount.FromConfigurationSetting("DataConnectionString")
                .CreateCloudBlobClient()
                .GetContainerReference("thumbnails")
                .ListBlobs());
        }
    }
}