﻿<%@ Page Title="" Language="C#" MasterPageFile="~/Views/Shared/Site.Master" Inherits="System.Web.Mvc.ViewPage<IEnumerable<Microsoft.WindowsAzure.StorageClient.IListBlobItem>>" %>
<%@ Import Namespace="Microsoft.WindowsAzure.ServiceRuntime" %>

<asp:Content ID="Content1" ContentPlaceHolderID="TitleContent" runat="server">
	annoy smarx - choose a wallpaper
</asp:Content>

<asp:Content ID="Content2" ContentPlaceHolderID="MainContent" runat="server">
    <h2>Annoy smarx by setting his wallpaper</h2>
    <% foreach (var blob in Model) { %>
        <% string cdnendpoint = RoleEnvironment.GetConfigurationSettingValue("CDNEndpoint"); %>
        <% string sbnamespace = RoleEnvironment.GetConfigurationSettingValue("ServiceBusNamespace"); %>
        <a href='https://<%= sbnamespace %>.servicebus.windows.net/AnnoySmarx/SetWallpaper?id=<%= blob.Uri.Segments.Last() %>'>
            <img alt="set smarx's wallpaper to this" src='<%= cdnendpoint %>/thumbnails/<%= blob.Uri.Segments.Last() %>' />
        </a>
    <% } %>
</asp:Content>